/*!
 * #%L
 * chvote-bo
 * %%
 * Copyright (C) 2016 - 2019 République et Canton de Genève
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 * #L%
 */

.input-without-label {
  display: flex;
  text-align: right;
  .input {
    flex: 0 0 43em;
  }
}

.input-with-toggle {
  display: flex;
  margin-bottom: 1em;
  label {
    flex: 0 0 40em;
  }

  mat-slide-toggle {
    flex: 0 0 3em;
  }
}

.input-with-toggle:last-child {
  margin-bottom: 0;
}

.parent-label {
  margin-bottom: 0.7em;
  display: block;

}

.input-with-toggle.input-with-toggle--padded label {
  text-align: right;
  flex: 0 0 38em;
  margin-right: 2em;
}
